# gd_io_dp.c

Summary

gd_io_dp.c |
Functions |
gdNewDynamicCtx | Return data as a dynamic pointer.
gdNewDynamicCtxEx |
gdDPExtractData |

### Functions

### gdNewDynamicCtx

> gdIOCtx * gdNewDynamicCtx( | int |  | initialSize,
> | void | * | data | )

Return data as a dynamic pointer.

### gdNewDynamicCtxEx

> gdIOCtx * gdNewDynamicCtxEx( | int |  | initialSize,
> | void | * | data,
> | int |  | freeOKFlag | )

### gdDPExtractData

> void * gdDPExtractData( | gdIOCtxPtr |  | ctx,
> | int | * | size | )

> gdIOCtx * gdNewDynamicCtx( | int |  | initialSize,
> | void | * | data | )

Return data as a dynamic pointer.

> gdIOCtx * gdNewDynamicCtxEx( | int |  | initialSize,
> | void | * | data,
> | int |  | freeOKFlag | )

> void * gdDPExtractData( | gdIOCtxPtr |  | ctx,
> | int | * | size | )

Close